commit:     f82ba8a3ae5c7cfd018ca00e2c71f98c8ad3c5ff
Author:     wangjiezhe <wangjiezhe <AT> gmail <DOT> com>
AuthorDate: Sat Jan 20 11:22:10 2024 +0000
Commit:     Jason Zaman <perfinion <AT> gentoo <DOT> org>
CommitDate: Sat Feb  3 19:32:59 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f82ba8a3

sci-visualization/tensorboard: add 2.15.1

Signed-off-by: wangjiezhe <wangjiezhe <AT> gmail.com>
Signed-off-by: Jason Zaman <perfinion <AT> gentoo.org>

 sci-visualization/tensorboard/Manifest             |  1 +
 .../tensorboard/tensorboard-2.15.1.ebuild          | 71 ++++++++++++++++++++++
 2 files changed, 72 insertions(+)

diff --git a/sci-visualization/tensorboard/Manifest 
b/sci-visualization/tensorboard/Manifest
index dd1c5fee7f69..c2e8344f9623 100644
--- a/sci-visualization/tensorboard/Manifest
+++ b/sci-visualization/tensorboard/Manifest
@@ -3,3 +3,4 @@ DIST tensorboard-2.11.0-py3-none-any.whl.zip 5990351 BLAKE2B 
d6796fceb047abc69c8
 DIST tensorboard-2.12.0-py3-none-any.whl.zip 5638388 BLAKE2B 
617c76fa49b2aa647d7f099d8dbc7d53449e3024981f2f5858c1eff44b6a3c9369169579436562373fd2f44222e506b54d10083292352b70c400f16dcfaf1dec
 SHA512 
d7eaeeb68adf1ad121bffd15f5147564af78ee74b7f2f251f6111bc94973b4ee7c952de51eab4608126a230b4709af5c67944608f4c5c73918af82945abc63e3
 DIST tensorboard-2.13.0-py3-none-any.whl.zip 5569681 BLAKE2B 
f7c671e9a59ab50c9bf150d52826a70091908876ebd65ee39e347eef15f63d1c1e3dadd6c2748917bdd640a09e1816238b755de92c2eb82ca296a67a28be0387
 SHA512 
6d934632855431056a4b255be52312a9cb6592ca4fde97a2a563634dbbc7ff2809cac6adbffbd6ea5eb03f22cdf682593b704704ed9af208cea9a36030cd9ff1
 DIST tensorboard-2.14.1-py3-none-any.whl.zip 5508920 BLAKE2B 
b1f7afccc29ea7f1694127a02ef571bfd984be17c9a4f4e30be0fece64c94e8f3e6c4f4dfc49cb0544694a806ab09d83d56b0064aae0a226721ca47d20e7bf6a
 SHA512 
6d4f61452a99b88aef2e640a9be9324eb7c287121faff267b9fb8b114381f03c90cbcd46d38f2fd0aa54d6c7c5ed9f8123bd76675454564169ab0ccd67abaa6e
+DIST tensorboard-2.15.1-py3-none-any.whl.zip 5539710 BLAKE2B 
39791d7c7a857df8836d5113c4514bd9d8fd568df6e67f2f3c43f1faa125ba445c1aaa137b38de2cfcccb4ebbda9e7d0ffc2f41e61770d44f7e93683acb3ab13
 SHA512 
cd73752fa375075ed9ec3240853401f87df16aaae784c7ccf820d8a5a3ff1bf1f2a1424fa62a417ea0a8ed2463ac1be7de5228bc161f9f3f9e52b56b02354323

diff --git a/sci-visualization/tensorboard/tensorboard-2.15.1.ebuild 
b/sci-visualization/tensorboard/tensorboard-2.15.1.ebuild
new file mode 100644
index 000000000000..c1090cd5fc97
--- /dev/null
+++ b/sci-visualization/tensorboard/tensorboard-2.15.1.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..11} )
+inherit python-r1 pypi
+
+DESCRIPTION="TensorFlow's Visualization Toolkit"
+HOMEPAGE="https://www.tensorflow.org/";
+SRC_URI="$(pypi_wheel_url --unpack)"
+S=${WORKDIR}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+REQUIRED_USE=${PYTHON_REQUIRED_USE}
+
+RDEPEND="
+       ${PYTHON_DEPS}
+       dev-python/bleach[${PYTHON_USEDEP}]
+       >=dev-python/google-auth-1.6.3[${PYTHON_USEDEP}]
+       >=dev-python/google-auth-oauthlib-0.4.1[${PYTHON_USEDEP}]
+       dev-python/grpcio[${PYTHON_USEDEP}]
+       dev-python/html5lib[${PYTHON_USEDEP}]
+       dev-python/markdown[${PYTHON_USEDEP}]
+       dev-python/numpy[${PYTHON_USEDEP}]
+       dev-python/protobuf-python[${PYTHON_USEDEP}]
+       dev-python/six[${PYTHON_USEDEP}]
+       >=dev-python/setuptools-41[${PYTHON_USEDEP}]
+       dev-python/werkzeug[${PYTHON_USEDEP}]
+       dev-python/wheel[${PYTHON_USEDEP}]
+       >=dev-python/scipy-1.4.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       app-arch/unzip
+       ${PYTHON_DEPS}
+"
+PDEPEND="
+       =sci-libs/tensorflow-2.15*[python,${PYTHON_USEDEP}]
+"
+
+src_prepare() {
+       eapply_user
+
+       sed -i -e '/_vendor.__init__/d' -e '/_vendor.bleach/d' -e 
'/_vendor.html5lib/d' -e '/_vendor.webencodings/d' \
+               "${S}/${P}.dist-info/RECORD" || die "failed to unvendor"
+       grep -q "_vendor" "${S}/${P}.dist-info/RECORD" && die "More vendored 
deps found"
+
+       find "${S}/${PN}" -name '*.py' -exec sed -i \
+               -e 's/^from tensorboard\._vendor import /import /' \
+               -e 's/^from tensorboard\._vendor\./from /' \
+               {} + || die "failed to unvendor"
+
+       rm -rf "${S}/${PN}/_vendor" || die
+
+       sed -i -e '/tensorboard-plugin-/d' "${S}/${P}.dist-info/METADATA" || 
die "failed to remove plugin deps"
+       sed -i -e '/tensorboard-data-server/d' "${S}/${P}.dist-info/METADATA" 
|| die "failed to remove data-server deps"
+       sed -i -e 's/google-auth-oauthlib.*$/google-auth-oauthlib/' 
"${S}/${P}.dist-info/METADATA" \
+               || die "failed to relax oauth deps"
+       sed -i -e 's/protobuf.*$/protobuf/' "${S}/${P}.dist-info/METADATA" \
+               || die "failed to relax protobuf deps"
+}
+
+src_install() {
+       do_install() {
+               python_domodule "${PN}"
+               python_domodule "${P}.dist-info"
+       }
+       python_foreach_impl do_install
+}

Reply via email to